Adam White - 2011-05-01

Total Linux newb, I'm trying to update to the new 0.15.9 from 0.13.4 which was installed ages ago on my Linpus Linux Acer Aspire One, via the repository and package installer.
No later version seems to have made it to the repository, so I've downloaded and extracted the new package, and am trying to use Python with the suggested command. But I get an "invalid Python Installation" message, even though my Python is at 2.5.1. Any help please?